Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(revision 81)
@@ -0,0 +1,682 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Diagnostics;
+using System.Threading;
+using System.Windows.Forms.DataVisualization.Charting;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms
+{
+    partial class FrmMenu
+    {
+        #region 受注管理イベント起動処理
+        /// <summary>
+        /// 受注管理イベント起動処理
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        /// <param name="ColCnt"></param>
+        /// <param name="NowPoint"></param>
+        private void OrderTabEvent(int RowCnt, int ColCnt, ref int NowPoint)
+        {
+            try
+            {
+                switch (RowCnt)
+                {
+                    case 0:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　工事基本情報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+                                break;
+                        }
+                        break;
+                    case 2:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　積算見積入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                            case 2:
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　積算見積書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算見積書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                            case 4:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　積算見積印刷
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                        }
+                        break;
+                    case 4:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　積算予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                            case 2:
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　積算予算書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("積算予算書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                        }
+                        break;
+                    case 6:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                // 契約結合
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.OrderJoin);
+                                break;
+                            case 2:
+                                // 見積分割
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionSplit);
+                                break;
+                        }
+                        break;
+                }
+                if (NowPoint < 0) return;
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工管理イベント起動処理
+        /// <summary>
+        /// 施工管理イベント起動処理
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        /// <param name="ColCnt"></param>
+        /// <param name="NowPoint"></param>
+        private void ConstructionTabEvent(int RowCnt, int ColCnt, ref int NowPoint)
+        {
+            try
+            {
+                switch (RowCnt)
+                {
+                    case 1:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 工事詳細台帳
+                                // 起動権限確認
+                                int editflg = (int)CommonDefine.ProcessDataEdit.Reference;
+                                if (ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, ref editflg))
+                                {
+                                    // 部署別台帳まとめ一覧
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
+                                }
+                                else
+                                {
+                                    // 工事詳細台帳一覧
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
+
+                                    // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                    // 工事詳細台帳入力
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
+                                    ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                }
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事日報入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
+                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.DRConstruction);
+                                break;
+                                #endregion
+                            case 5:
+                                #region 各工事打合わせ議事録
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
+                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
+                                break;
+                                #endregion
+                            case 7:
+                                #region 交通費及び購入品入力
+                                // 交通費及び購入品入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.TAndPCosts);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);    // ダミー
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                break;
+                                #endregion
+                            case 9:
+                                #region 出勤管理
+                                // 出勤管理
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRWork);
+                                // メニューからの起動はログインユーザーをセットする
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                break;
+                                #endregion
+                        }
+                        break;
+                    case 3:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 行動予定入力
+                                // 行動予定入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ActionSchdule);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 車両予約入力
+                                int VehicleCode = 0;
+                                if (VehicleCodeSelector(ref VehicleCode))
+                                {
+                                    // 車両予約入力
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.VehicleSchdule);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(VehicleCode);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                }
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 5:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 9:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 工事施工予算入力
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事施工予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事予算書承認
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+
+                                //　工事予算書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 11:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 注文書入力
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                // 注文書入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 注文書承認
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList);
+
+                                // 承認一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //　注文書承認
+                                int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(ApprovalCode);
+                                break;
+                                #endregion
+                            case 5:
+                                #region 注文書印刷
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　注文書印刷
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 7:
+                                #region 注文書発給状況一覧
+                                // 注文書発給状況一覧
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus);
+                                break;
+                                #endregion
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 13:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 15:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 17:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 19:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 23:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 24:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 25:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 29:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 33:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                }
+                if (NowPoint < 0) return;
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 総務管理イベント起動処理
+        /// <summary>
+        /// 総務管理イベント起動処理
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        /// <param name="ColCnt"></param>
+        /// <param name="NowPoint"></param>
+        private void AffairsTabEvent(int RowCnt, int ColCnt, ref int NowPoint)
+        {
+            try
+            {
+                switch (RowCnt)
+                {
+                    case 1:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 行動予定入力
+                                // 行動予定入力
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ActionSchdule);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 車両予約入力
+                                int VehicleCode = 0;
+                                if (VehicleCodeSelector(ref VehicleCode))
+                                {
+                                    // 車両予約入力
+                                    NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.VehicleSchdule);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(VehicleCode);
+                                    ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(DateTime.Now.Month);
+                                }
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 3:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 7:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                #region 工事基本情報入力
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                //　工事基本情報入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+                                break;
+                                #endregion
+                            case 3:
+                                #region 工事施工予算入力
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事施工予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                break;
+                                #endregion
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 9:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 13:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                    case 17:
+                        switch (ColCnt)
+                        {
+                            case 1:
+                                break;
+                            case 3:
+                                break;
+                            case 5:
+                                break;
+                            case 7:
+                                break;
+                            case 9:
+                                break;
+                        }
+                        break;
+                }
+                if (NowPoint < 0) return;
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 各種提出書類イベント起動処理
+        /// <summary>
+        /// 各種提出書類イベント起動処理
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        /// <param name="ColCnt"></param>
+        /// <param name="NowPoint"></param>
+        private void NotificationTabEvent(int RowCnt, int ColCnt, ref int NowPoint)
+        {
+            try
+            {
+                switch (RowCnt)
+                {
+                    case 0:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.CostomerRegistList);
+                                break;
+                            case 2:
+                                break;
+                        }
+                        break;
+                    case 2:
+                        switch (ColCnt)
+                        {
+                            case 0:
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.SubConstrRegistList);
+                                break;
+                            case 2:
+                                break;
+                        }
+                        break;
+                    case 4:
+                        switch (ColCnt)
+                        {
+                            case 2:
+                                break;
+                        }
+                        break;
+                }
+
+                if (NowPoint < 0) return;
+
+                // 処理実行
+                ClsExcute.ProcesscExecute();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
